# $Revision: 1.27 $, $Date: 2010/07/07 17:19:07 $
Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Name:		proj
Version:	4.7.0
Release:	1
Group:		Libraries
License:	MIT
Source0:	ftp://ftp.remotesensing.org/proj/%{name}-%{version}.tar.gz
# Source0-md5:	927d34623b52e0209ba2bfcca18fe8cd
Source1:	ftp://ftp.remotesensing.org/proj/%{name}-pdf-docs.tar.gz
# Source1-md5:	7c8f48f0fddf0d5730f4b27b3f09e6c1
URL:		http://www.remotesensing.org/proj/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cartographic projection software.

%description -l pl.UTF-8
Oprogramowanie do rzutów kartograficznych.

%package devel
Summary:	proj header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki proj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains proj header files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
korzystających z biblioteki proj.

%package static
Summary:	proj static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libPropList
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static proj libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki proj.

%package progs
Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description progs
Package contains cartographic projection and coordinate system
filters.

%description progs -l pl.UTF-8
Ten pakiet zawiera filtry do rzutów kartograficznych i układów
współrzędnych.

%package doc
Summary:	Manuals for cartographic projection software
Summary(pl.UTF-8):	Dokumentacja do oprogramowania proj
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Manuals for cartographic projection software.

%description doc -l pl.UTF-8
Dokumentacja do oprogramowania do rzutów kartograficznych proj.

%prep
%setup -q -a1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libproj.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libproj.so.0
%dir %{_datadir}/proj
%{_datadir}/proj/GL27
%{_datadir}/proj/IGNF
%{_datadir}/proj/nad27
%{_datadir}/proj/nad83
%{_datadir}/proj/nad.lst
%{_datadir}/proj/proj_def.dat
%{_datadir}/proj/world
%{_datadir}/proj/epsg
%{_datadir}/proj/esri
%{_datadir}/proj/esri.extra
%{_datadir}/proj/other.extra

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproj.so
%{_libdir}/libproj.la
%{_includedir}/nad_list.h
%{_includedir}/org_proj4_Projections.h
%{_includedir}/proj_api.h
%{_includedir}/projects.h
%{_mandir}/man3/pj_init.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libproj.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cs2cs
%attr(755,root,root) %{_bindir}/geod
%attr(755,root,root) %{_bindir}/invgeod
%attr(755,root,root) %{_bindir}/invproj
%attr(755,root,root) %{_bindir}/nad2bin
%attr(755,root,root) %{_bindir}/nad2nad
%attr(755,root,root) %{_bindir}/proj
%{_mandir}/man1/cs2cs.1*
%{_mandir}/man1/geod.1*
%{_mandir}/man1/nad2nad.1*
%{_mandir}/man1/proj.1*

%files doc
%defattr(644,root,root,755)
%doc *.pdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: proj.spec,v $
Revision 1.27  2010/07/07 17:19:07  jajcus
- make the install directory, so inv* links are properly installed

Revision 1.26  2010/06/18 20:32:53  qboosh
- updated to 4.7.0
- more verbose files

Revision 1.25  2009/05/20 10:40:13  jajcus
- Release: 2

Revision 1.24  2008/09/03 14:26:12  pluto
- updated to 4.6.1.

Revision 1.23  2008/07/27 23:05:25  arekm
- release 2

Revision 1.22  2008-05-16 19:57:49  qboosh
- ghost soname symlink

Revision 1.21  2008-05-15 15:06:36  radek
- version 4.6.0

Revision 1.20  2007-07-06 22:21:02  qboosh
- back to ftp.remotesensing.org, it works again and ftp.gdal.org does not

Revision 1.19  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.17  2006/12/11 21:43:37  qboosh
- simplified Source URLs

Revision 1.16  2006/12/11 21:41:22  qboosh
- updated to 4.5.0, updated docs

Revision 1.15  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.14  2004/10/31 13:09:32  qboosh
- updated to 4.4.9, package docs in original format

Revision 1.13  2004/05/05 21:37:43  qboosh
- updated to 4.4.8, strict internal deps

Revision 1.12  2004/01/20 22:52:41  qboosh
- more cosmetics

Revision 1.11  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.10  2003/06/06 12:33:22  qboosh
- updated feedback address

Revision 1.9  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/09 23:45:56  qboosh
- updated to 4.4.7, removed obsolete am16 patch

Revision 1.6  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.5  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/06/02 08:51:49  kloczek
- added fix for automake >= 1.6 (am16 patch) and full regenerate ac/am/lt files,
- convert pdf documentation to ps format (pdf documentation do not contains any
  hypertext additionals so converting to ps do not removes any possibilities but
  compressed ps documentation is smaller).

Revision 1.2  2002/06/01 20:06:26  qboosh
- new %%doc, more docs, pl descriptions, added missing dir

Revision 1.1  2002/05/29 13:29:21  bszx
- initial version
